db.components.updateOne({name: 'heaserver-keychain'}, {$set: {'resources.1.base_path': 'awscredentials'}});
db.components.updateOne({name: 'heaserver-keychain'}, {$set: {'resources.0.collection_accessor_users': []}});
db.components.updateOne({name: 'heaserver-keychain'}, {$set: {'resources.1.collection_accessor_users': []}});
db.components.updateOne({name: 'heaserver-keychain'}, {$push: {resources: {file_system_name: 'DEFAULT_FILE_SYSTEM', resource_collection_type_display_name: 'Credentials', creator_users: [], type: 'heaobject.registry.Resource', type_display_name: 'Resource', base_path: 'credentialsviews', default_shares: [], manages_creators: false, collection_accessor_users: ['system|all'], resource_type_name: 'heaobject.keychain.CredentialsView', file_system_type: 'heaobject.volume.MongoDBFileSystem'}}});
db.settings.updateMany({name: 'heasettings|credentials'}, {$set: {actual_object_uri: 'collections/heaobject.keychain.CredentialsView', actual_object_id: 'heaobject.keychain.CredentialsView'}})